Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.folderindex
Class UpdateFolderIndex

    java.lang.Object
      oracle.ifs.admin.tools.BaseTool
          oracle.ifs.admin.tools.folderindex.FolderIndexTool
              oracle.ifs.admin.tools.folderindex.UpdateFolderIndex

    public class UpdateFolderIndex

extends FolderIndexTool

UpdateFolderIndex is a tool to update an iFS Folder index.

Field Summary
`static java.lang.String` | `TOOL_NAME`

Constructor Summary
`UpdateFolderIndex(java.lang.String[] args)` Construct a UpdateFolderIndex.

Method Summary
`static void` | `main(java.lang.String[] args)` This method starts the Tool.
`void` | `run()` Run.

Methods inherited from class oracle.ifs.admin.tools.folderindex.FolderIndexTool
`applyDeferredUpdates, changeUpdateMode, completeIndexCreation, createFolderIndexTables, createInitialFolderIndexRows, dropIndex, getMaxLevel, isIndexEnabled, isUpdateModeSynchronous, promoteFolder, promoteFoldersByPath, rebuildIndex, resetFolderIndexRows, setUseExistsClause`

Methods inherited from class oracle.ifs.admin.tools.BaseTool
`disconnectSession, establishSession, establishSession, gatherCredentials, getDatabaseUrl, getDomain, getDomainDisplayName, getExitCode, getParameterTable, getSchemaName, getSchemaPassword, getServiceConfigurationName, getServiceName, isVerboseLoggingEnabled, log, log, log, printStackTrace, setExitCode, showBanner, showExiting, startService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOOL_NAME

    public static final java.lang.String TOOL_NAME

See Also:
  Constant Field Values

Constructor Detail

### UpdateFolderIndex

    public UpdateFolderIndex(java.lang.String[] args)

  Construct a UpdateFolderIndex.

  Parameters:
    `args` - commandline arguments
  (Published)

Method Detail

### main

    public static void main(java.lang.String[] args)

  Description copied from class: `UpdateFolderIndex`
  This method starts the Tool. It will display an exiting message before completing, and will exit with the error code designated by the instance of UpdateFolderIndex that is started.

  Parameters:
    `args` - the test arguments.

### run

    public void run()
             throws java.lang.Exception

  Description copied from class: `UpdateFolderIndex`
  Run. This performs the create index action.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD